

    <form [formGroup]="bookForm" (ngSubmit)="onSubmitForm()" class="m-3">

      <div class="form-group">
        <label for="title">Title</label>
        <input type="text"
               class="form-control"
               id="title"
               formControlName="title"
               placeholder="Title.."
               [(ngModel)]="this.book.title"
               >
      </div>

      <div class="form-group">
        <label for="author">Author</label>
        <input type="text"
               class="form-control"
               id="author"
               formControlName="author"
               placeholder="Author.."
               [(ngModel)]="this.book.author">
      </div>

      <div class="form-group">
        <label for="description">Description</label>
        <textarea type="text"
               class="form-control"
               id="description"
               formControlName="description"
               placeholder="Description.."
               [(ngModel)]="this.book.description"></textarea>
      </div>

      <div class="form-group">
        <label for="status">Status</label>
        <select type="text"
               class="form-control"
               id="status"
               formControlName="status"
               [(ngModel)]="this.book.status"
               required>
          <option value="pris">Pris</option>
          <option value="libre">Libre</option>
        </select>
      </div>

      <div class="text-center">
        <button type="submit"
                class="btn btn-dark btn-lg mb-2"
                [disabled]="bookForm.invalid">{{submitLabel}}</button>
      </div>
    </form>

